/*****************************************************************************
 * $Id: gfx_noise.hh,v 1.2 2006/08/03 02:17:21 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Static class wrapper around underlying noise library.
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GFX_NOISE_HH
#define GFX_NOISE_HH 1

namespace gfx {

////////////////////////////////////////////////////////////////////////////////
// @brief Static class wrapper around underlying noise library.
class PerlinNoise
{
    PREVENT_COPYING(PerlinNoise)
public:
	static void		Set( int seed, fp freq, fp lacunarity, int octaves );
	static fp		Calc( const Vector3& vec );

private:
	static int		mSeed;
	static fp		mFreq;
	static fp		mLacunarity;
	static int		mOctaves;
	static fp		mPersistence;		// has little effect
};

} // namespace gfx

#endif // GFX_NOISE_HH
