/*****************************************************************************
 * $Id: game_base_debug.cc,v 1.10 2006/07/23 02:26:44 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Debug/profiling code.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#if DEBUG
#define GAME_BASE_DEBUG_CC 1
#include "game_base_common.hh"
#include "game_base_debug.hh"

/*****************************************************************************
 * Game base Stats constructor.
 *****************************************************************************/
GameStats::GameStats( void )
{
	mTracers = 0;
}

/*****************************************************************************
 * Clear some stats prior to drawing.
 *****************************************************************************/
void
GameStats::PreDraw( void )
{
	// Only some stats members need resetting.
	// (nothing/placeholder)
}

/*****************************************************************************
 * operator<<(GameStats)
 *****************************************************************************/
ostream&
operator<<( ostream& strm, const GameStats& o )
{
	// (nothing/placeholder)
    return strm;
}

/*****************************************************************************
 * End game.
 *****************************************************************************/
void
Game::EndDebug( void )
{
	// Explicitly deleting these isn't strictly necessary but doing so tests
	// the destructors and helps to suppress false Valgrind warnings.
	gWorld.Destroy();
}
#endif // DEBUG
