/*****************************************************************************
 * $Id: game.hh,v 1.6 2005/06/21 23:44:46 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	For abstraction, these meta header files are aliases that
 *          can be included without knowing which specific game module
 *          will be compiled or whether the actual header file resides
 *          in the base or derived module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GAME_HH
#define GAME_HH 1

#include "game_defs.hh"		// defines GAME_MODULE etc

#include "game_base.hh"

// Include appropriate game module header files.
#if GAME_MODULE == GAME_MODULE_PONY
#	include "game_pony.hh"
#else
#	error
#endif

#endif // GAME_HH
